/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
  background-color: white;
  color: black;
  font-family: Verdana;
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  /* width: 50%; */
}

:root {
    --header-image: url('https://pipluprox-productions.neocities.org/Images/Main/since 2026.png');
    --body-bg-image: url('https://sadhost.neocities.org/images/tiles/bgif021.gif');

    --content: #00256E;
}

@font-face {
    font-family: EuclidFlex;
    src: url('https://pipluprox-productions.neocities.org/Fonts/EuclidFlexRegular.ttf');
}

@font-face {
    font-family: EuclidFlex;
    src: url('https://pipluprox-productions.neocities.org/Fonts/EuclidFlexBold.ttf');
    font-weight: bold;
}

@font-face {
    font-family: EuclidFlex;
    src: url('https://pipluprox-productions.neocities.org/Fonts/EuclidFlexLightItalic.ttf');
    font-style: italic;
}

@font-face {
    font-family: EuclidFlex;
    src: url('https://pipluprox-productions.neocities.org/Fonts/EuclidFlexBoldItalic.ttf');
    font-style: italic;
    font-weight: bold;
}

@font-face {
    font-family: EuclidFlex;
    src: url('https://pipluprox-productions.neocities.org/Fonts/EuclidFlexLight.ttf');
    font-weight: light;
}

@font-face {
    font-family: EuclidFlex;
    src: url('https://pipluprox-productions.neocities.org/Fonts/EuclidFlexLightItalic.ttf');
    font-weight: light;
    font-style: italic;
}

@font-face {
    font-family: 'PfefferMediaeval';
    src: url('/Fonts/PfefferMediaeval.woff2') format('woff2'),
        url('/Fonts/PfefferMediaeval.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-feature-settings: "ss02" 1;
}

@font-face {
    font-family: 'PfefferSimpelgotisch';
    src: url('/Fonts/PfefferSimpelgotisch-Bold.woff2') format('woff2'),
        url('/Fonts/PfefferSimpelgotisch-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-feature-settings: "clig" 1, "liga" 1;
}

@font-face {
    font-family: 'PfefferSimpelgotisch';
    src: url('/Fonts/PfefferSimpelgotisch.woff2') format('woff2'),
        url('/Fonts/PfefferSimpelgotisch.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-feature-settings: "clig" 1, "liga" 1;
}

@font-face {
    font-family: 'PfefferSimpelgotisch';
    src: url('/Fonts/PfefferSimpelgotisch-Semibold.woff2') format('woff2'),
        url('/Fonts/PfefferSimpelgotisch-Semibold.woff') format('woff');
    font-weight: semibold;
    font-style: normal;
    font-feature-settings: "clig" 1, "liga" 1;
}

@font-face {
    font-family: 'Heebo';
    src: url('Fonts/Heebo-Regular.ttf');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Heebo';
    src: url('Fonts/Heebo-Black.ttf');
    font-weight: 900;
    font-style: normal;
}

@font-face {
    font-family: 'Heebo';
    src: url('Fonts/Heebo-Bold.ttf');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Heebo';
    src: url('Fonts/Heebo-ExtraBold.ttf');
    font-weight: 800;
    font-style: normal;
}

@font-face {
    font-family: 'Heebo';
    src: url('Fonts/Heebo-Light.ttf');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Heebo';
    src: url('Fonts/Heebo-Medium.ttf');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Heebo';
    src: url('Fonts/Heebo-Thin.ttf');
    font-weight: 100;
    font-style: normal;
}

Skeirs {
  font-family: 'Skeirs';
}

body {
    font-family: 'EuclidFlex', sans-serif;
    margin: 0;
    background-color: #00031A;
    background-size: 65px;
    color: #fceaff;
    background-image: var(--body-bg-image);
}

* {
    box-sizing: border-box;
}

#container {
    max-width: 900px;
    margin: 0 auto;
}

#container a {
    color: #0064F5;
    font-weight: bold;
}
#header {
    width: 100%;
    background-color: #004e8c;
    height: 150px;
    background-image: var(--header-image);
    background-size: 100%;
}

#navbar {
    height: 40px;
    background-color: #00092D;
    width: 100%;
}

#navbar ul {
    display: flex;
    padding: 0;
    margin: 0;
    list-style-type: none;
    height: 100%;
}

#navbar li {
    flex: 1;
}

#navbar li a {
    color: #00F5F5;
    font-weight: 800;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    text-align: center;
    box-sizing: border-box;
}

#navbar li a:hover {
    color: #009cba;
    text-decoration: underline;
    background-color: #FFF;
}
#flex {
    display: flex;
}

aside {
    background-color: #001445;
    width: 200px;
    padding: 20px;
    font-size: smaller;
}

main {
    background-color: #00256E;
    flex: 1;
    padding: 20px;
    order: 2;
}

 #leftSidebar {
    order: 1;
}

#rightSidebar {
    order: 3;
}

footer {
    background-color: #00092D;
    width: 100%;
    height: 40px;
    padding: 10px;
    text-align: center;
}

h1,
h2,
h3 {
    color: #00F5F5;
}

h1 {
    font-size: 25px;
}

strong {
    color: #00F5F5;
}

.box {
    background-color: #00092D;
    border: 1px solid #0064F5;
    padding: 10px;
}

#topBar {
    width: 100%;
    height: 30px;
    padding: 10px;
    font-size: smaller;
    background-color: #00092D;
}
